Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 9 Dec 2002 11:45:56 -0500 (EST)
From:      Michael Handler <handler@grendel.net>
To:        FreeBSD-gnats-submit@FreeBSD.org
Subject:   ports/46148: update SFS port to 0.7.1, current port broken on -STABLE/CURRENT
Message-ID:  <200212091645.gB9GjuCT028910@lair.grendel.net>

next in thread | raw e-mail | index | archive | help

>Number:         46148
>Category:       ports
>Synopsis:       update SFS port to 0.7.1, current port broken on -STABLE/CURRENT
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    freebsd-ports
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          maintainer-update
>Submitter-Id:   current-users
>Arrival-Date:   Mon Dec 09 08:50:00 PST 2002
>Closed-Date:
>Last-Modified:
>Originator:     Michael Handler
>Release:        FreeBSD 4.7-STABLE i386
>Organization:
>Environment:
System: FreeBSD lair.grendel.net 4.7-STABLE FreeBSD 4.7-STABLE #0: Wed Nov 20 01:26:12 EST 2002 root@lair.grendel.net:/usr/obj/usr/src/sys/LAIR i386

>Description:
The current SFS port doesn't build at all on -CURRENT or -STABLE; this patch
updates the port for the latest SFS version and compiles perfectly on
those platforms.
>How-To-Repeat:
>Fix:

diff -ur sfs.orig/Makefile sfs/Makefile
--- sfs.orig/Makefile	Mon Aug  5 13:06:29 2002
+++ sfs/Makefile	Mon Dec  9 11:27:15 2002
@@ -7,14 +7,13 @@
 #
 
 PORTNAME=	sfs
-PORTVERSION=	0.6
-PORTREVISION=	1
+PORTVERSION=	0.7.1
 CATEGORIES=	security net
 MASTER_SITES=	http://www.fs.net/sfs/new-york.lcs.mit.edu:85xq6pznt4mgfvj4mb23x6b8adak55ue/pub/sfswww/dist/
 
 MAINTAINER=	handler@grendel.net
 
-.include <bsd.port.pre.mk>
+PLIST_SUB=	SFS_VERSION=${PORTVERSION}
 
 USE_GMAKE=	yes
 USE_OPENSSL=	yes
@@ -27,6 +26,8 @@
 		--with-openssl=${OPENSSLBASE} \
 		--disable-uvfs
 
+.include <bsd.port.pre.mk>
+
 .if ${OSVERSION} > 500000
 LIB_DEPENDS+=	gmp.6:${PORTSDIR}/math/libgmp4
 CONFIGURE_ARGS+=--with-gmp=${PREFIX}
@@ -35,6 +36,8 @@
 .endif
 
 MAN1=	\
+		dirsearch.1 \
+		newaid.1 \
 		rex.1 \
 		sfsagent.1 \
 		sfskey.1 \
@@ -42,24 +45,33 @@
 
 MAN5=	\
 		sfs_config.5 \
-		sfs_users.5 \
-		sfscd_config.5 \
-		sfssd_config.5 \
 		sfs_srp_params.5 \
+		sfs_users.5 \
 		sfsauthd_config.5 \
-		sfsrwsd_config.5
+		sfscd_config.5 \
+		sfsrwsd_config.5 \
+		sfssd_config.5 
+
+MAN7= \
+		sfs.7
 
 MAN8=	\
+		funmount.8 \
 		sfsauthd.8 \
 		sfscd.8 \
 		sfsrwsd.8 \
-		sfssd.8
+		sfssd.8 \
+		vidb.8
 
 post-extract:
 	@${SED} -e "s=%%PREFIX%%=${PREFIX}=g" ${FILESDIR}/sfscd.sh > ${WRKSRC}/sfscd.sh
 	@${SED} -e "s=%%PREFIX%%=${PREFIX}=g" ${FILESDIR}/sfssd.sh > ${WRKSRC}/sfssd.sh
 
+pre-install:
+	PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL
+
 post-install:
+	${INSTALL_SCRIPT} ${WRKSRC}/sfsauthd/upgradedb.pl ${PREFIX}/lib/sfs-${PORTVERSION}/upgradedb.pl
 	${INSTALL_SCRIPT} ${WRKSRC}/sfscd.sh ${PREFIX}/etc/rc.d/sfscd.sh.sample
 	${INSTALL_SCRIPT} ${WRKSRC}/sfssd.sh ${PREFIX}/etc/rc.d/sfssd.sh.sample
 	${MKDIR} ${PREFIX}/etc/sfs
@@ -68,6 +80,7 @@
 	${INSTALL_DATA} ${FILESDIR}/share-doc-WELCOME ${PREFIX}/share/doc/sfs/WELCOME
 	${INSTALL_DATA} ${FILESDIR}/share-doc-README ${PREFIX}/share/doc/sfs/README
 	${INSTALL_DATA} ${WRKSRC}/README ${PREFIX}/share/doc/sfs/README.packageblurb
+	${INSTALL_DATA} ${WRKSRC}/README.0.7-upgrade ${PREFIX}/share/doc/sfs/README.0.7-upgrade
 	PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.post.mk>
diff -ur sfs.orig/distinfo sfs/distinfo
--- sfs.orig/distinfo	Thu Jul 11 22:52:03 2002
+++ sfs/distinfo	Mon Dec  9 10:50:25 2002
@@ -1 +1 @@
-MD5 (sfs-0.6.tar.gz) = 0965e874ba18568655e1a7a3f273dc19
+MD5 (sfs-0.7.1.tar.gz) = dff50b613e3bb63f575a15f0ee84c9a1
Only in sfs/files: patch-README.0.7-upgrade
Only in sfs.orig/files: patch-async_malloc.C
Only in sfs/files: patch-sfsauthd_config
Only in sfs/files: patch-upgradedb.pl
diff -ur sfs.orig/files/share-doc-README sfs/files/share-doc-README
--- sfs.orig/files/share-doc-README	Fri Jul 12 01:31:19 2002
+++ sfs/files/share-doc-README	Fri Dec  6 01:40:39 2002
@@ -61,7 +61,8 @@
 4) Reboot. You should now have a working SFS client, which you can test
    via the following command:
 
-$ cat /sfs/sfs.fs.net:eu4cvv6wcnzscer98yn4qjpjnn9iv6pi/CONGRATULATIONS
+$ cat /sfs/@sfs.fs.net,uzwadtctbjb3dg596waiyru8cx5kb4an
+CONGRATULATIONS
 You have set up a working SFS client.
 
 *** Setting up an SFS server
@@ -127,10 +128,10 @@
 7) Reboot. You should now have a working SFS server. sfssd will emit a
    message into /var/log/messages like the following:
 
-sfsrwsd: serving <hostname>:<SFS key>
+sfsrwsd: serving /sfs/@<hostname>,<SFS key>
 
    From a DIFFERENT machine with an SFS client already installed
-   and running, attempt to access /sfs/<hostname>:<SFS key>. Note
+   and running, attempt to access /sfs/@<hostname>,<SFS key>. Note
    that the SFS client machine will have to be able to connect to
    TCP port 4 on the SFS server machine. Note also that you must
    test your SFS server from a separate SFS client machine to avoid
diff -ur sfs.orig/files/share-doc-WELCOME sfs/files/share-doc-WELCOME
--- sfs.orig/files/share-doc-WELCOME	Fri Jul 12 01:31:19 2002
+++ sfs/files/share-doc-WELCOME	Fri Dec  6 01:28:50 2002
@@ -1,7 +1,7 @@
 SFS is now installed. To test your installation, try this (as root):
 
 # /usr/local/sbin/sfscd
-# cat /sfs/sfs.fs.net:eu4cvv6wcnzscer98yn4qjpjnn9iv6pi/CONGRATULATIONS
+# cat /sfs/@sfs.fs.net,uzwadtctbjb3dg596waiyru8cx5kb4an/CONGRATULATIONS
 
 If it worked, you will see:
 
@@ -21,3 +21,7 @@
 There are sample startup files for sfscd and sfssd in /usr/local/etc/rc.d,
 under the name sfscd.sh.sample and sfssd.sh.sample respectively.
 These startup files are not enabled by default.
+
+NOTE TO USERS UPGRADING FROM SFS 0.6: You should read the file
+/usr/local/share/doc/sfs/README.0.7.upgrade for important information
+about converting your existing SFS configuration.
diff -ur sfs.orig/pkg-install sfs/pkg-install
--- sfs.orig/pkg-install	Fri Jul 12 02:09:21 2002
+++ sfs/pkg-install	Fri Dec  6 02:42:25 2002
@@ -4,10 +4,6 @@
 	exit 0
 fi
 
-if [ "$2" != "POST-INSTALL" ]; then
-	exit 0
-fi
-
 KEYFILE="$PKG_PREFIX/etc/sfs/sfs_host_key"
 
 USER=sfs
@@ -18,75 +14,79 @@
 
 SFSDIR=/var/spool/sfs
 
-echo -n "Checking for group '$GROUP'... "
+if [ "$2" = "PRE-INSTALL" ]; then
+	echo -n "Checking for group '$GROUP'... "
 
-if ! ${PW} groupshow $GROUP >/dev/null 2>&1; then
-	echo -n "doesn't exist, adding... "
-	if ${PW} groupadd $GROUP -g ${GID}; then
-		echo "success."
+	if ! ${PW} groupshow $GROUP >/dev/null 2>&1; then
+		echo -n "doesn't exist, adding... "
+		if ${PW} groupadd $GROUP -g ${GID}; then
+			echo "success."
+		else
+			echo "FAILED!"
+			exit 1
+		fi
 	else
-		echo "FAILED!"
-		exit 1
+		echo "exists."
 	fi
-else
-	echo "exists."
-fi
 
-echo -n "Checking for user '$USER'... "
+	echo -n "Checking for user '$USER'... "
 
-if ! ${PW} usershow $USER >/dev/null 2>&1; then
-	echo -n "doesn't exist, adding... "
-	if ${PW} useradd $USER -u ${UID} -c 'Self-Certifying File System' -d /nonexistent -g $GROUP -s /sbin/nologin -h -; then
-		echo "success."
+	if ! ${PW} usershow $USER >/dev/null 2>&1; then
+		echo -n "doesn't exist, adding... "
+		if ${PW} useradd $USER -u ${UID} -c 'Self-Certifying File System' -d /nonexistent -g $GROUP -s /sbin/nologin -h -; then
+			echo "success."
+		else
+			echo "FAILED!"
+			exit 1
+		fi
 	else
-		echo "FAILED!"
-		exit 1
+		echo "exists."
 	fi
-else
-	echo "exists."
 fi
 
-echo -n "Checking for SFS directory ($SFSDIR)... "
+if [ "$2" = "POST-INSTALL" ]; then
+	echo -n "Checking for SFS directory ($SFSDIR)... "
 
-if [ -d "$SFSDIR" ]; then
-	echo "already exists."
-else
-	echo -n "creating... "
-	if mkdir $SFSDIR; then
-		echo "success."
+	if [ -d "$SFSDIR" ]; then
+		echo "already exists."
 	else
-		echo "FAILED!"
+		echo -n "creating... "
+		if mkdir $SFSDIR; then
+			echo "success."
+		else
+			echo "FAILED!"
+			exit 1
+		fi
+	fi
+
+	if ! chmod 750 $SFSDIR; then
+		echo "chmod 750 $SFSDIR FAILED!"
 		exit 1
 	fi
-fi
 
-if ! chmod 750 $SFSDIR; then
-	echo "chmod 750 $SFSDIR FAILED!"
-	exit 1
-fi
+	if ! chown $USER:$GROUP $SFSDIR; then
+		echo "chown $USER:$GROUP $SFSDIR FAILED!"
+		exit 1
+	fi
 
-if ! chown $USER:$GROUP $SFSDIR; then
-	echo "chown $USER:$GROUP $SFSDIR FAILED!"
-	exit 1
-fi
+	echo -n "Checking for SFS host key ($KEYFILE)... "
 
-echo -n "Checking for SFS host key ($KEYFILE)... "
+	if [ -f "$KEYFILE" ]; then
+		echo "already exists, not generating."
+	else
+		echo "doesn't exist, generating."
+		echo "Starting sfscd for entropy services."
+		$PKG_PREFIX/sbin/sfscd
+		echo -n "Sleeping ten seconds to give sfscd time to start up... "
+		sleep 10
+		echo "done."
+		$PKG_PREFIX/bin/sfskey gen -KP -l `uname -n` $KEYFILE
+		echo -n "Key generation done, killing sfscd... "
+		kill -TERM `cat /var/run/sfscd.pid`
+		echo "done."
+	fi
 
-if [ -f "$KEYFILE" ]; then
-	echo "already exists, not generating."
-else
-	echo "doesn't exist, generating."
-	echo "Starting sfscd for entropy services."
-	$PKG_PREFIX/sbin/sfscd
-	echo -n "Sleeping ten seconds to give sfscd time to start up... "
-	sleep 10
-	echo "done."
-	$PKG_PREFIX/bin/sfskey gen -KP -n `uname -n` $KEYFILE
-	echo -n "Key generation done, killing sfscd... "
-	kill -TERM `cat /var/run/sfscd.pid`
-	echo "done."
+	cat $PKG_PREFIX/share/doc/sfs/WELCOME
 fi
-
-cat $PKG_PREFIX/share/doc/sfs/WELCOME
 
 exit 0
diff -ur sfs.orig/pkg-plist sfs/pkg-plist
--- sfs.orig/pkg-plist	Fri Jul 12 02:09:21 2002
+++ sfs/pkg-plist	Fri Dec  6 01:35:01 2002
@@ -2,8 +2,11 @@
 bin/newaid
 bin/rex
 bin/rpcc
+bin/sfsacl
 bin/sfsagent
+bin/sfsdeclog
 bin/sfskey
+bin/sfsproac
 bin/ssu
 @unexec if [ -f %D/etc/rc.d/sfscd.sh ]; then cmp -s %D/etc/rc.d/sfscd.sh.sample %D/etc/rc.d/sfscd.sh && rm -f %D/etc/rc.d/sfscd.sh || echo "${PKG_PREFIX}/etc/rc.d/sfscd.sh is different than distribution sample, leaving for manual cleanup." | fmt; fi
 etc/rc.d/sfscd.sh.sample
@@ -11,161 +14,173 @@
 etc/rc.d/sfssd.sh.sample
 etc/sfs/sfsrwsd_config.sample
 include/sfs
-include/sfs-0.6/aclnt.h
-include/sfs-0.6/aes.h
-include/sfs-0.6/afsnode.h
-include/sfs-0.6/agentconn.h
-include/sfs-0.6/agentmisc.h
-include/sfs-0.6/aiod.h
-include/sfs-0.6/aiod_prot.h
-include/sfs-0.6/aios.h
-include/sfs-0.6/amisc.h
-include/sfs-0.6/arc4.h
-include/sfs-0.6/arena.h
-include/sfs-0.6/arpc.h
-include/sfs-0.6/array.h
-include/sfs-0.6/asrv.h
-include/sfs-0.6/async.h
-include/sfs-0.6/autoconf.h
-include/sfs-0.6/axprt.h
-include/sfs-0.6/axprt_crypt.h
-include/sfs-0.6/backoff.h
-include/sfs-0.6/bbuddy.h
-include/sfs-0.6/bench.h
-include/sfs-0.6/bigint.h
-include/sfs-0.6/bitvec.h
-include/sfs-0.6/blowfish.h
-include/sfs-0.6/callback.h
-include/sfs-0.6/cbuf.h
-include/sfs-0.6/crypt.h
-include/sfs-0.6/crypt_prot.h
-include/sfs-0.6/crypt_prot.x
-include/sfs-0.6/crypthash.h
-include/sfs-0.6/dns.h
-include/sfs-0.6/dnsparse.h
-include/sfs-0.6/err.h
-include/sfs-0.6/esign.h
-include/sfs-0.6/fdlim.h
-include/sfs-0.6/getfh3.h
-include/sfs-0.6/hashcash.h
-include/sfs-0.6/ihash.h
-include/sfs-0.6/init.h
-include/sfs-0.6/itree.h
-include/sfs-0.6/keyfunc.h
-include/sfs-0.6/list.h
-include/sfs-0.6/modalg.h
-include/sfs-0.6/mount_prot.h
-include/sfs-0.6/mount_prot.x
-include/sfs-0.6/msb.h
-include/sfs-0.6/nfs3_ext.x
-include/sfs-0.6/nfs3_nonnul.h
-include/sfs-0.6/nfs3_prot.h
-include/sfs-0.6/nfs3_prot.x
-include/sfs-0.6/nfs3close_prot.h
-include/sfs-0.6/nfs3close_prot.x
-include/sfs-0.6/nfs3exp_prot.h
-include/sfs-0.6/nfs3exp_prot.x
-include/sfs-0.6/nfs_prot.h
-include/sfs-0.6/nfs_prot.x
-include/sfs-0.6/nfsmounter.h
-include/sfs-0.6/nfsmounter.x
-include/sfs-0.6/nfsserv.h
-include/sfs-0.6/nfstrans.h
-include/sfs-0.6/opnew.h
-include/sfs-0.6/parseopt.h
-include/sfs-0.6/password.h
-include/sfs-0.6/pcre.h
-include/sfs-0.6/pmap_prot.h
-include/sfs-0.6/pmap_prot.x
-include/sfs-0.6/prime.h
-include/sfs-0.6/prng.h
-include/sfs-0.6/qhash.h
-include/sfs-0.6/rabin.h
-include/sfs-0.6/refcnt.h
-include/sfs-0.6/rex.h
-include/sfs-0.6/rex_prot.h
-include/sfs-0.6/rex_prot.x
-include/sfs-0.6/rpctypes.h
-include/sfs-0.6/rwfd.h
-include/sfs-0.6/rxx.h
-include/sfs-0.6/seqno.h
-include/sfs-0.6/serial.h
-include/sfs-0.6/sfs-internal.h
-include/sfs-0.6/sfs_prot.h
-include/sfs-0.6/sfs_prot.x
-include/sfs-0.6/sfsagent.h
-include/sfs-0.6/sfsagent.x
-include/sfs-0.6/sfsauth_prot.h
-include/sfs-0.6/sfsauth_prot.x
-include/sfs-0.6/sfscd_prot.h
-include/sfs-0.6/sfscd_prot.x
-include/sfs-0.6/sfsclient.h
-include/sfs-0.6/sfsconnect.h
-include/sfs-0.6/sfskeymisc.h
-include/sfs-0.6/sfsmisc.h
-include/sfs-0.6/sfsro_prot.h
-include/sfs-0.6/sfsro_prot.x
-include/sfs-0.6/sfsserv.h
-include/sfs-0.6/sfstty.h
-include/sfs-0.6/sha1.h
-include/sfs-0.6/srp.h
-include/sfs-0.6/stllike.h
-include/sfs-0.6/str.h
-include/sfs-0.6/suio++.h
-include/sfs-0.6/sysconf.h
-include/sfs-0.6/tiger.h
-include/sfs-0.6/union.h
-include/sfs-0.6/uvfstrans.h
-include/sfs-0.6/vatmpl.h
-include/sfs-0.6/vec.h
-include/sfs-0.6/wmstr.h
-include/sfs-0.6/xdr_suio.h
-include/sfs-0.6/xdrmisc.h
-include/sfs-0.6/xhinfo.h
 include/sfs.h
-@dirrm include/sfs-0.6
+include/sfs-%%SFS_VERSION%%/aclnt.h
+include/sfs-%%SFS_VERSION%%/aes.h
+include/sfs-%%SFS_VERSION%%/afsnode.h
+include/sfs-%%SFS_VERSION%%/agentconn.h
+include/sfs-%%SFS_VERSION%%/agentmisc.h
+include/sfs-%%SFS_VERSION%%/aiod.h
+include/sfs-%%SFS_VERSION%%/aiod_prot.h
+include/sfs-%%SFS_VERSION%%/aios.h
+include/sfs-%%SFS_VERSION%%/amisc.h
+include/sfs-%%SFS_VERSION%%/arc4.h
+include/sfs-%%SFS_VERSION%%/arena.h
+include/sfs-%%SFS_VERSION%%/arpc.h
+include/sfs-%%SFS_VERSION%%/array.h
+include/sfs-%%SFS_VERSION%%/asrv.h
+include/sfs-%%SFS_VERSION%%/async.h
+include/sfs-%%SFS_VERSION%%/autoconf.h
+include/sfs-%%SFS_VERSION%%/axprt.h
+include/sfs-%%SFS_VERSION%%/axprt_crypt.h
+include/sfs-%%SFS_VERSION%%/backoff.h
+include/sfs-%%SFS_VERSION%%/bbuddy.h
+include/sfs-%%SFS_VERSION%%/bench.h
+include/sfs-%%SFS_VERSION%%/bigint.h
+include/sfs-%%SFS_VERSION%%/bitvec.h
+include/sfs-%%SFS_VERSION%%/blowfish.h
+include/sfs-%%SFS_VERSION%%/callback.h
+include/sfs-%%SFS_VERSION%%/cbuf.h
+include/sfs-%%SFS_VERSION%%/crypt.h
+include/sfs-%%SFS_VERSION%%/crypt_prot.h
+include/sfs-%%SFS_VERSION%%/crypt_prot.x
+include/sfs-%%SFS_VERSION%%/crypthash.h
+include/sfs-%%SFS_VERSION%%/dns.h
+include/sfs-%%SFS_VERSION%%/dnsparse.h
+include/sfs-%%SFS_VERSION%%/err.h
+include/sfs-%%SFS_VERSION%%/esign.h
+include/sfs-%%SFS_VERSION%%/fdlim.h
+include/sfs-%%SFS_VERSION%%/getfh3.h
+include/sfs-%%SFS_VERSION%%/hashcash.h
+include/sfs-%%SFS_VERSION%%/ihash.h
+include/sfs-%%SFS_VERSION%%/init.h
+include/sfs-%%SFS_VERSION%%/itree.h
+include/sfs-%%SFS_VERSION%%/keyfunc.h
+include/sfs-%%SFS_VERSION%%/list.h
+include/sfs-%%SFS_VERSION%%/modalg.h
+include/sfs-%%SFS_VERSION%%/mount_prot.h
+include/sfs-%%SFS_VERSION%%/mount_prot.x
+include/sfs-%%SFS_VERSION%%/msb.h
+include/sfs-%%SFS_VERSION%%/nfs3_ext.x
+include/sfs-%%SFS_VERSION%%/nfs3_nonnul.h
+include/sfs-%%SFS_VERSION%%/nfs3_prot.h
+include/sfs-%%SFS_VERSION%%/nfs3_prot.x
+include/sfs-%%SFS_VERSION%%/nfs3close_prot.h
+include/sfs-%%SFS_VERSION%%/nfs3close_prot.x
+include/sfs-%%SFS_VERSION%%/nfs3exp_prot.h
+include/sfs-%%SFS_VERSION%%/nfs3exp_prot.x
+include/sfs-%%SFS_VERSION%%/nfs_prot.h
+include/sfs-%%SFS_VERSION%%/nfs_prot.x
+include/sfs-%%SFS_VERSION%%/nfsmounter.h
+include/sfs-%%SFS_VERSION%%/nfsmounter.x
+include/sfs-%%SFS_VERSION%%/nfsserv.h
+include/sfs-%%SFS_VERSION%%/nfstrans.h
+include/sfs-%%SFS_VERSION%%/opnew.h
+include/sfs-%%SFS_VERSION%%/parseopt.h
+include/sfs-%%SFS_VERSION%%/password.h
+include/sfs-%%SFS_VERSION%%/pcre.h
+include/sfs-%%SFS_VERSION%%/pmap_prot.h
+include/sfs-%%SFS_VERSION%%/pmap_prot.x
+include/sfs-%%SFS_VERSION%%/prime.h
+include/sfs-%%SFS_VERSION%%/prng.h
+include/sfs-%%SFS_VERSION%%/qhash.h
+include/sfs-%%SFS_VERSION%%/rabin.h
+include/sfs-%%SFS_VERSION%%/refcnt.h
+include/sfs-%%SFS_VERSION%%/rex.h
+include/sfs-%%SFS_VERSION%%/rex_prot.h
+include/sfs-%%SFS_VERSION%%/rex_prot.x
+include/sfs-%%SFS_VERSION%%/rpctypes.h
+include/sfs-%%SFS_VERSION%%/rwfd.h
+include/sfs-%%SFS_VERSION%%/rxx.h
+include/sfs-%%SFS_VERSION%%/schnorr.h
+include/sfs-%%SFS_VERSION%%/seqno.h
+include/sfs-%%SFS_VERSION%%/serial.h
+include/sfs-%%SFS_VERSION%%/sfs-internal.h
+include/sfs-%%SFS_VERSION%%/sfs_prot.h
+include/sfs-%%SFS_VERSION%%/sfs_prot.x
+include/sfs-%%SFS_VERSION%%/sfsagent.h
+include/sfs-%%SFS_VERSION%%/sfsagent.x
+include/sfs-%%SFS_VERSION%%/sfsauth_prot.h
+include/sfs-%%SFS_VERSION%%/sfsauth_prot.x
+include/sfs-%%SFS_VERSION%%/sfscd_prot.h
+include/sfs-%%SFS_VERSION%%/sfscd_prot.x
+include/sfs-%%SFS_VERSION%%/sfsclient.h
+include/sfs-%%SFS_VERSION%%/sfsconnect.h
+include/sfs-%%SFS_VERSION%%/sfscrypt.h
+include/sfs-%%SFS_VERSION%%/sfsextauth.h
+include/sfs-%%SFS_VERSION%%/sfskeymgr.h
+include/sfs-%%SFS_VERSION%%/sfskeymisc.h
+include/sfs-%%SFS_VERSION%%/sfsmisc.h
+include/sfs-%%SFS_VERSION%%/sfsro_prot.h
+include/sfs-%%SFS_VERSION%%/sfsro_prot.x
+include/sfs-%%SFS_VERSION%%/sfsschnorr.h
+include/sfs-%%SFS_VERSION%%/sfsserv.h
+include/sfs-%%SFS_VERSION%%/sfstty.h
+include/sfs-%%SFS_VERSION%%/sha1.h
+include/sfs-%%SFS_VERSION%%/srp.h
+include/sfs-%%SFS_VERSION%%/stllike.h
+include/sfs-%%SFS_VERSION%%/str.h
+include/sfs-%%SFS_VERSION%%/suio++.h
+include/sfs-%%SFS_VERSION%%/sysconf.h
+include/sfs-%%SFS_VERSION%%/tiger.h
+include/sfs-%%SFS_VERSION%%/union.h
+include/sfs-%%SFS_VERSION%%/uvfstrans.h
+include/sfs-%%SFS_VERSION%%/vatmpl.h
+include/sfs-%%SFS_VERSION%%/vec.h
+include/sfs-%%SFS_VERSION%%/wmstr.h
+include/sfs-%%SFS_VERSION%%/xdr_suio.h
+include/sfs-%%SFS_VERSION%%/xdrmisc.h
+include/sfs-%%SFS_VERSION%%/xhinfo.h
+@dirrm include/sfs-%%SFS_VERSION%%
 @unexec install-info --delete %D/info/sfs.info %D/info/dir
 info/sfs.info
 info/sfs.info-1
 info/sfs.info-2
+info/sfs.info-3
 @exec install-info %D/info/sfs.info %D/info/dir
 lib/libsfs.a
 lib/sfs
-lib/sfs-0.6/aiod
-lib/sfs-0.6/connect
-lib/sfs-0.6/libarpc.a
-lib/sfs-0.6/libarpc.la
-lib/sfs-0.6/libasync.a
-lib/sfs-0.6/libasync.la
-lib/sfs-0.6/libsfscrypt.a
-lib/sfs-0.6/libsfscrypt.la
-lib/sfs-0.6/libsfsmisc.a
-lib/sfs-0.6/libsfsmisc.la
-lib/sfs-0.6/libsvc.a
-lib/sfs-0.6/libsvc.la
-lib/sfs-0.6/listen
-lib/sfs-0.6/mallock.o
-lib/sfs-0.6/moduled
-lib/sfs-0.6/newaid
-lib/sfs-0.6/nfsmounter
-lib/sfs-0.6/pathinfo
-lib/sfs-0.6/proxy
-lib/sfs-0.6/ptyd
-lib/sfs-0.6/rexd
-lib/sfs-0.6/sfsauthd
-lib/sfs-0.6/sfsrwcd
-lib/sfs-0.6/sfsrwsd
-lib/sfs-0.6/suidconnect
-lib/sfs-0.6/ttyd
-lib/sfs-0.6/xfer
-@dirrm lib/sfs-0.6
+lib/sfs-%%SFS_VERSION%%/aiod
+lib/sfs-%%SFS_VERSION%%/connect
+lib/sfs-%%SFS_VERSION%%/libarpc.a
+lib/sfs-%%SFS_VERSION%%/libarpc.la
+lib/sfs-%%SFS_VERSION%%/libasync.a
+lib/sfs-%%SFS_VERSION%%/libasync.la
+lib/sfs-%%SFS_VERSION%%/libsfscrypt.a
+lib/sfs-%%SFS_VERSION%%/libsfscrypt.la
+lib/sfs-%%SFS_VERSION%%/libsfsmisc.a
+lib/sfs-%%SFS_VERSION%%/libsfsmisc.la
+lib/sfs-%%SFS_VERSION%%/libsvc.a
+lib/sfs-%%SFS_VERSION%%/libsvc.la
+lib/sfs-%%SFS_VERSION%%/listen
+lib/sfs-%%SFS_VERSION%%/mallock.o
+lib/sfs-%%SFS_VERSION%%/moduled
+lib/sfs-%%SFS_VERSION%%/newaid
+lib/sfs-%%SFS_VERSION%%/nfsmounter
+lib/sfs-%%SFS_VERSION%%/pathinfo
+lib/sfs-%%SFS_VERSION%%/proxy
+lib/sfs-%%SFS_VERSION%%/ptyd
+lib/sfs-%%SFS_VERSION%%/rexd
+lib/sfs-%%SFS_VERSION%%/sfsauthd
+lib/sfs-%%SFS_VERSION%%/sfsrwcd
+lib/sfs-%%SFS_VERSION%%/sfsrwsd
+lib/sfs-%%SFS_VERSION%%/upgradedb.pl
+@group sfs
+lib/sfs-%%SFS_VERSION%%/suidconnect
+@group
+lib/sfs-%%SFS_VERSION%%/ttyd
+lib/sfs-%%SFS_VERSION%%/xfer
+@dirrm lib/sfs-%%SFS_VERSION%%
 sbin/funmount
 sbin/sfscd
 sbin/sfssd
+sbin/vidb
 share/doc/sfs/WELCOME
 share/doc/sfs/README
 share/doc/sfs/README.packageblurb
+share/doc/sfs/README.0.7-upgrade
 @dirrm share/doc/sfs
+share/sfs/agentrc
 share/sfs/sfs_config
 share/sfs/sfs_srp_parms
 share/sfs/sfsauthd_config
>Release-Note:
>Audit-Trail:
>Unformatted:

To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe freebsd-ports" in the body of the message




Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?200212091645.gB9GjuCT028910>